{ lib, ... }:
{
  imports = [
    ./boot
    ./filesystems
    ./firewall
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "kitty";
    hostId = "38ba3f57";
  };

  environment.persistence."/persist".enable = lib.mkForce false;

  system = {
    desktop.enable = false;
    server.enable = true;
    socials.enable = true;
    wireless.enable = false;
    wireguard.server.enable = true;
    stateVersion = "24.05";
  };
}
